<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RootNamespace>adas_core</RootNamespace>
        <UserSecretsId>32f28f15-4ca6-4522-b80b-06b784cf0c46</UserSecretsId>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <AssemblyVersion>2.1</AssemblyVersion>
        <FileVersion>2.1</FileVersion>
        <Version>2.1</Version>
        <Company>Epigram Technologies</Company>
        <Product>ADAS Core</Product>
    </PropertyGroup>
	
    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <TreatWarningsAsErrors>True</TreatWarningsAsErrors>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
        <TreatWarningsAsErrors>True</TreatWarningsAsErrors>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="AuditLogs" Version="1.0.59" />
        <PackageReference Include="EasyNetQ" Version="8.1.5" />
        <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.28" />
        <PackageReference Include="Microsoft.CodeAnalysis.Analyzers" Version="5.3.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.CodeAnalysis.CSharp.Scripting" Version="5.3.0" />
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.28" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Analyzers" Version="10.0.9" />
        <PackageReference Include="Microsoft.IdentityModel.Protocols" Version="8.19.1" />
        <PackageReference Include="Microsoft.OpenApi" Version="3.7.0" />
        <PackageReference Include="MongoDB.Driver" Version="3.9.0" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
        <PackageReference Include="prometheus-net.AspNetCore" Version="8.2.1" />
        <PackageReference Include="Quartz" Version="3.18.1" />
        <PackageReference Include="Serilog" Version="4.3.1" />
        <PackageReference Include="Serilog.AspNetCore" Version="10.0.0" />
        <PackageReference Include="Serilog.Enrichers.Dynamic" Version="1.0.9" />
        <PackageReference Include="Serilog.Enrichers.Thread" Version="4.0.0" />
        <PackageReference Include="Serilog.Exceptions" Version="8.4.0" />
        <PackageReference Include="Serilog.Expressions" Version="5.0.0" />
        <PackageReference Include="Serilog.Formatting.Compact" Version="3.0.0" />
        <PackageReference Include="Serilog.Sinks.Console" Version="6.1.1" />
        <PackageReference Include="Serilog.Sinks.File" Version="7.0.0" />
        
        <PackageReference Include="System.Diagnostics.PerformanceCounter" Version="10.0.9" />
        <PackageReference Include="System.Management" Version="10.0.9" />
        <PackageReference Include="System.Net.Http" Version="4.3.4" />
        <PackageReference Include="System.Runtime.CompilerServices.Unsafe" Version="6.1.2" />
        <PackageReference Include="System.Text.RegularExpressions" Version="4.3.1" />
        <PackageReference Include="WebPush" Version="1.0.13" />
    </ItemGroup>

	<ItemGroup>
		<PackageReference Include="Swashbuckle.AspNetCore" Version="10.2.1" />
		<PackageReference Include="Swashbuckle.AspNetCore.Newtonsoft" Version="10.2.1" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.28" />
	</ItemGroup>
	
    <ItemGroup>
        <Content Update="appsettings.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
        <Content Update="appsettings.Local.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
        <Content Remove="Logs\**" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="Logs\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="Logs\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="Logs\**" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\adas-core.Application\adas-core.Application.csproj" />
        <ProjectReference Include="..\adas-core.Authentication\adas-core.Authentication.csproj" />
        <ProjectReference Include="..\adas-core.Domain\adas-core.Domain.csproj" />
        <ProjectReference Include="..\adas-core.Infrastructure\adas-core.Infrastructure.csproj" />
        <ProjectReference Include="..\adas-core.module.LightBeacons\adas-core.module.LightBeacons.csproj" />
        <ProjectReference Include="..\adas-core.module.ProxyDevices\adas-core.module.ProxyDevices.csproj" />
        <ProjectReference Include="..\adas-core.module.Relays\adas-core.module.Relays.csproj" />
        <ProjectReference Include="..\adas-core.LdapLogin\adas-core.LdapLogin.csproj" />
        <ProjectReference Include="..\adas-core.LocalLogin\adas-core.LocalLogin.csproj" />
    </ItemGroup>

    <ProjectExtensions>
        <VisualStudio>
            <UserProperties appsettings_1json__JsonSchema="" properties_4launchsettings_1json__JsonSchema="" />
        </VisualStudio>
    </ProjectExtensions>

</Project>
